/* 
 PC Serial Clock
*/

// 
import processing.serial.*;

Serial myPort;  // Create object from Serial class
int[] PC_time = new int[3];
PFont font22, font48;

void setup() 
{
  size(220, 200);
  myPort = new Serial(this, "COM5", 115200);
  font22 = loadFont("Tahoma-Bold-22.vlw");
  font48 = loadFont("Arial-BoldMT-48.vlw");  
  fill(0,46,250);
}

void draw() {
  background(255);
  PC_time[2] = second();  // Values from 0 - 59
  PC_time[1] = minute();  // Values from 0 - 59
  PC_time[0] = hour();    // Values from 0 - 23
  String RTC = join(nf(PC_time, 2), ":"); 
  textFont(font22); 
  text("Digital Clock", 35, 60);
  
  myPort.write(PC_time[0]);
  myPort.write(PC_time[1]);
  myPort.write(PC_time[2]);  
  textFont(font48);  
  text(RTC, 15, 120);
  delay(100);
}



